io.vertx.ext.shell

## Class ShellServiceOptions

- java.lang.Object
- - io.vertx.ext.shell.ShellServiceOptions

-     public class ShellServiceOptions
      extends Object

  The configurations options for the shell service, the shell connectors can be configured with `TelnetOptions` and `SSHOptions`.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_WELCOME_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellServiceOptions()`
    `ShellServiceOptions(JsonObject json)`
    `ShellServiceOptions(ShellServiceOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSHOptions` | `getSSH()`
    `TelnetOptions` | `getTelnetOptions()`
    `String` | `getWelcomeMessage()`
    `ShellServiceOptions` | `setSSHOptions(SSHOptions sshOptions)` Set the SSH options, if the option is null, SSH will not be started.
    `ShellServiceOptions` | `setTelnetOptions(TelnetOptions telnetOptions)` Set the Telnet options, if the option is null, Telnet will not be started.
    `ShellServiceOptions` | `setWelcomeMessage(String welcomeMessage)` Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WELCOME_MESSAGE

          public static final String DEFAULT_WELCOME_MESSAGE

  - ### Constructor Detail

    - #### ShellServiceOptions

          public ShellServiceOptions()

    - #### ShellServiceOptions

          public ShellServiceOptions(ShellServiceOptions that)

    - #### ShellServiceOptions

          public ShellServiceOptions(JsonObject json)

  - ### Method Detail

    - #### getWelcomeMessage

          public String getWelcomeMessage()

      Returns:
        the shell welcome message

    - #### setWelcomeMessage

          public ShellServiceOptions setWelcomeMessage(String welcomeMessage)

      Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.
      Parameters:
        `welcomeMessage` - the welcome message
      Returns:
        a reference to this, so the API can be used fluently

    - #### getTelnetOptions

          public TelnetOptions getTelnetOptions()

      Returns:
        the Telnet options

    - #### setTelnetOptions

          public ShellServiceOptions setTelnetOptions(TelnetOptions telnetOptions)

      Set the Telnet options, if the option is null, Telnet will not be started.
      Parameters:
        `telnetOptions` - the ssh options
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSSH

          public SSHOptions getSSH()

      Returns:
        the SSH options

    - #### setSSHOptions

          public ShellServiceOptions setSSHOptions(SSHOptions sshOptions)

      Set the SSH options, if the option is null, SSH will not be started.
      Parameters:
        `sshOptions` - the ssh options
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All rights reserved.